<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package SKT Gymmaster
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="header" <?php if ( !is_home() || !is_front_page() ) {?>id="innerPage"<?php } ?>>
  <div class="container">
   <div class="logo">  
      <?php skt_gymmaster_the_custom_logo(); ?>   
      <a href="<?php echo home_url('/'); ?>">
		<h1><?php bloginfo('name'); ?></h1>
        <p><?php bloginfo('description'); ?></p>      
      </a>    
   </div><!-- logo -->
    
    
<div class="widget-right">
	 <?php if ( get_theme_mod('contact_no') !== "") { ?>      
          <div class="hdrinfo">
          <div class="hdrinfo-left"><img style="margin:0 5px -1px 0;" src="<?php echo esc_url(get_template_directory_uri()); ?>/images/icon-phone.png" alt="" /></div> 
          <div class="hdrinfo-right"><strong><?php echo esc_attr_e( get_theme_mod( 'contact_no', __('+91 987 654 3210','skt-gymmaster'))); ?></strong>
           <?php if( get_theme_mod('contact_mail') !== ""){ ?>
            <a href="mailto:<?php echo sanitize_email(get_theme_mod('contact_mail','contact@company.com')); ?>">
			    <?php echo get_theme_mod('contact_mail','contact@company.com'); ?>
             </a>	
		  <?php } ?> 
          </div>
          <div class="clear"></div>
          </div>
     <?php } ?>
</div><!--.widget-right-->
 <div class="clear"></div>
        <div class="toggle"><a class="toggleMenu" href="#"><?php esc_attr_e('Menu','skt-gymmaster'); ?></a></div> 
    <div class="sitenav">
       <?php wp_nav_menu( array('theme_location' => 'primary') ); ?>         
     </div><!-- .sitenav--> 
    <div class="clear"></div>  
  </div> <!-- container -->
</div><!--.header -->

<div id="hdrbanner">
  <div class="container">
	

<?php if ( is_front_page() || is_home() ) { ?>
<?php if( get_theme_mod( 'hide_slides' ) == '') { ?>
<!-- Slider Section -->
<?php for($sld=7; $sld<10; $sld++) { ?>
	<?php if( get_theme_mod('page-setting'.$sld)) { ?>
     <?php $slidequery = new WP_query('page_id='.get_theme_mod('page-setting'.$sld,true)); ?>
		<?php while( $slidequery->have_posts() ) : $slidequery->the_post();
        $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));
        $img_arr[] = $image;
        $id_arr[] = $post->ID;
        endwhile;
  	  }
    }
?>
<?php if(!empty($id_arr)){ ?>
<section id="home_slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider">
      <?php 
	$i=1;
	foreach($img_arr as $url){ ?>
      <img src="<?php echo $url; ?>" title="#slidecaption<?php echo $i; ?>" />
      <?php $i++; }  ?>
    </div>
		<?php 
        $i=1;
        foreach($id_arr as $id){ 
        $title = get_the_title( $id ); 
        $post = get_post($id); 
        $content = apply_filters('the_content', substr(strip_tags($post->post_content), 0, 100)); 
        ?>
    <div id="slidecaption<?php echo $i; ?>" class="nivo-html-caption">
      <div class="slide_info">
        <h2><?php echo $title; ?></h2>        
      </div>
    </div>
    <?php $i++; } ?>
  </div>
  <div class="clear"></div>
</section>
<?php } else { ?>
<section id="home_slider">
  <div class="slider-wrapper theme-default">
    <div id="slider" class="nivoSlider"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider1.jpg" alt="" title="#slidecaption1" /> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider2.jpg" alt="" title="#slidecaption2" /> <img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/slides/slider3.jpg" alt="" title="#slidecaption3" /> </div>
    <div id="slidecaption1" class="nivo-html-caption">
      <div class="slide_info">
        <h2>
          <?php esc_html_e('Optimize your health', 'skt-gymmaster');?>
        </h2>        
      </div>
    </div>
    <div id="slidecaption2" class="nivo-html-caption">
      <div class="slide_info">
        <h2>
          <?php esc_html_e('Optimize your health', 'skt-gymmaster');?>
        </h2>        
      </div>
    </div>
    <div id="slidecaption3" class="nivo-html-caption">
      <div class="slide_info">
        <h2>
         <?php esc_html_e('Optimize your health', 'skt-gymmaster');?>
        </h2>        
      </div>
    </div>
  </div>
  <div class="clear"></div>
</section><!-- Slider Section -->
<?php } } } ?>
 </div><!-- .container-->
</div><!--#hdrbanner-->
<?php if ( is_front_page() || is_home() ) { ?>
<?php if( get_theme_mod( 'hide_pagethreeboxes' ) == '') { ?>
<section id="pagearea">
  <div class="container"> 
  <div class="pageboxesbg"> 
     <div class="pageleft">     
      <?php if( get_theme_mod('page-setting1')) { ?>
      <?php $queryvar = new WP_query('page_id='.get_theme_mod('page-setting1' ,true)); ?>
      <?php while( $queryvar->have_posts() ) : $queryvar->the_post();?>     
      <h2>
        <?php the_title(); ?>
      </h2>      
      <?php the_content(); ?>       
      <div class="clear"></div>
      <?php endwhile; } else { ?>     
      <h2>
        <?php _e('Welcome to our <span>Gym </span>','skt-gymmaster'); ?>
      </h2>
       <p><?php esc_html_e('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras faucibus nulla metus, at porta est. Quisque pellentesque velit a lectus facilisis vel adipiscing turpis ullamcorper. Suspendisse potenti. Donec sagittis justo non odio ullamcorper bibendum. Etiam ipsum justo, mollis eget volutpat non, congue id ante. Nulla facilisi. Integer eu augue nulla. Morbi iaculis molestie fringilla. Donec eleifend tincidunt elit a porttitor. Nunc vel augue neque, sit amet aliquam ligula. Ut nec ipsum eu odio volutpat dictum. Integer mauris enim, sagittis sed convallis et, cursus vitae elit.', 'skt-gymmaster');?></p>
         
         <p><?php esc_html_e('Donec vitae mauris enim, et volutpat risus. Vivamus vitae egestas nibh. Fusce ut magna a ligula eleifend cursus in tempus felis. Pellentesque aliquam elementum elementum. Maecenas tristique iaculis elit nec imperdiet. Aenean scelerisque pretium aliquet. Cras sollicitudin, metus eu pharetra consequat, leo tortor blandit nisl, rutrum lobortis metus lacus id nunc. Vivamus sit amet dolor est. Aenean hendrerit, justo ac sagittis commodo, dui tellus auctor ante, id lobortis augue elit quis nulla. Donec ullamcorper suscipit commodo. Maecenas iaculis varius ipsum eget lobortis. In hac habitasse platea dictumst. In hac habitasse platea dictumst. Sed malesuada metus dignissim metus molestie auctor. Pellentesque habitant morbi tristique senectus.  ', 'skt-gymmaster');?></p>       
      <?php } ?>
    </div><!--.end page left--> 
    
    <div class="pageright"> 
     <h3><?php esc_attr_e('Our Courses','skt-gymmaster'); ?></h3>       
  
<?php for($p=1; $p<4; $p++) { ?>
      <?php if( get_theme_mod('page-column'.$p,false)) { ?>
      <?php $queryxxx = new WP_query('page_id='.get_theme_mod('page-column'.$p,true)); ?>
      <?php while( $queryxxx->have_posts() ) : $queryxxx->the_post(); ?>
      <div class="threebox <?php if($p % 4 == 0) { echo "last_column"; } ?>">     	
		 <?php if( has_post_thumbnail() ) { ?>
			<div class="thumbbx"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_post_thumbnail();?></a> </div>            
          <?php } ?> 
          <div class="pagebx-dec"> 
           <h6><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h6>        
		   <?php echo skt_gymmaster_content(10); ?>
           <a href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_attr_e('read more','skt-gymmaster'); ?></a>
          </div>
      </div>
      <?php endwhile;
       wp_reset_query(); ?>
      <?php } else { ?>
      <div class="threebox <?php if($p % 4 == 0) { echo "last_column"; } ?>">     
      <div class="thumbbx"><a href="#"><img src="<?php echo esc_url(get_template_directory_uri()); ?>/images/course-thumb-<?php echo $p; ?>.jpg" alt="" /></a></div>
      <div class="pagebx-dec"> 
      <h6><a href="#"> <?php esc_attr_e('Yoga Training','skt-gymmaster'); ?> <?php echo $p; ?></a></h6>
        <p><?php esc_attr_e('Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras faucimetus...','skt-gymmaster'); ?></p> 
        <a href="#"><?php esc_attr_e('read more','skt-gymmaster'); ?></a>
      </div>   
    </div>
  <?php }} ?>
  <div class="clear"></div> 
  
  </div><!-- .end page right-->
  <div class="clear"></div> 
  </div><!-- container -->
</section><!-- #pagearea -->
<?php } } ?>